Project

General

Profile

Bug #2765

Incompatible licenses between ns-3 and ndnSIM

Added by Junxiao Shi almost 5 years ago. Updated almost 5 years ago.

Status:
New
Priority:
Normal
Assignee:
-
Category:
docs
Target version:
-
Start date:
04/22/2015
Due date:
% Done:

0%

Estimated time:

Description

ns-3 is released under GNU GENERAL PUBLIC LICENSE Version 2.

ndnSIM is released under GNU GENERAL PUBLIC LICENSE Version 3.

These two licenses are incompatible with each other. It's a copyright violation when ndnSIM is linked with ns-3.

History

#1

Updated by Junxiao Shi almost 5 years ago

ndnSIM itself doesn't violate copyright, because ndnSIM repository doesn't contain ns-3 code.

However, anyone who installs ndnSIM would have to link ndnSIM with ns-3, and whoever doing this would violate copyright.

The solution is to either re-license ns-3 as a GPL3-compatible license by obtaining permission from its authors, or re-license ndnSIM as a GPL2-compatible license.

Also available in: Atom PDF